import eq_read_f
import numpy as np
import matplotlib
from matplotlib import pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.tri as mtri
import argparse
import os

def read(directory):
    eq_file_name = os.path.join(directory, 'equilibrium.out')
    eq_read_f.eq_parameters.filename(eq_file_name)
    eq_read_f.eq_parameters.eq_read()

def main(directory='.'):
    directory = os.path.abspath(directory)
    read(directory)
    fig1, ax1 = plt.subplots()
    print(eq_read_f.eq_parameters.r_eq[:10])
    ax1.plot(eq_read_f.eq_parameters.ne_eq[1,:])
    plt.show()

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    parser.add_argument('--dir',action='store',default='.')
    main(args.dir)
